import type { Prisma } from '../../generated/prisma';
import * as z from 'zod';
import { AiSettingsIncludeObjectSchema as AiSettingsIncludeObjectSchema } from './objects/AiSettingsInclude.schema';
import { AiSettingsOrderByWithRelationInputObjectSchema as AiSettingsOrderByWithRelationInputObjectSchema } from './objects/AiSettingsOrderByWithRelationInput.schema';
import { AiSettingsWhereInputObjectSchema as AiSettingsWhereInputObjectSchema } from './objects/AiSettingsWhereInput.schema';
import { AiSettingsWhereUniqueInputObjectSchema as AiSettingsWhereUniqueInputObjectSchema } from './objects/AiSettingsWhereUniqueInput.schema';
import { AiSettingsScalarFieldEnumSchema } from './enums/AiSettingsScalarFieldEnum.schema';

// Select schema needs to be in file to prevent circular imports
//------------------------------------------------------

export const AiSettingsFindFirstOrThrowSelectSchema: z.ZodType<Prisma.AiSettingsSelect> = z.object({
    id: z.boolean().optional(),
    userId: z.boolean().optional(),
    apiKey: z.boolean().optional(),
    aiEnabled: z.boolean().optional(),
    openAiKey: z.boolean().optional(),
    openAiEnabled: z.boolean().optional(),
    claudeAiKey: z.boolean().optional(),
    claudeAiEnabled: z.boolean().optional(),
    claudeAiModel: z.boolean().optional(),
    openAiModel: z.boolean().optional(),
    googleAiModel: z.boolean().optional(),
    dentalMgmtKey: z.boolean().optional(),
    dentalMgmtEnabled: z.boolean().optional(),
    afterHoursEnabled: z.boolean().optional(),
    openPhoneReply: z.boolean().optional(),
    user: z.boolean().optional()
  }).strict() as unknown as z.ZodType<Prisma.AiSettingsSelect>;

export const AiSettingsFindFirstOrThrowSelectZodSchema = z.object({
    id: z.boolean().optional(),
    userId: z.boolean().optional(),
    apiKey: z.boolean().optional(),
    aiEnabled: z.boolean().optional(),
    openAiKey: z.boolean().optional(),
    openAiEnabled: z.boolean().optional(),
    claudeAiKey: z.boolean().optional(),
    claudeAiEnabled: z.boolean().optional(),
    claudeAiModel: z.boolean().optional(),
    openAiModel: z.boolean().optional(),
    googleAiModel: z.boolean().optional(),
    dentalMgmtKey: z.boolean().optional(),
    dentalMgmtEnabled: z.boolean().optional(),
    afterHoursEnabled: z.boolean().optional(),
    openPhoneReply: z.boolean().optional(),
    user: z.boolean().optional()
  }).strict();

export const AiSettingsFindFirstOrThrowSchema: z.ZodType<Prisma.AiSettingsFindFirstOrThrowArgs> = z.object({ select: AiSettingsFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => AiSettingsIncludeObjectSchema.optional()), orderBy: z.union([AiSettingsOrderByWithRelationInputObjectSchema, AiSettingsOrderByWithRelationInputObjectSchema.array()]).optional(), where: AiSettingsWhereInputObjectSchema.optional(), cursor: AiSettingsWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([AiSettingsScalarFieldEnumSchema, AiSettingsScalarFieldEnumSchema.array()]).optional() }).strict() as unknown as z.ZodType<Prisma.AiSettingsFindFirstOrThrowArgs>;

export const AiSettingsFindFirstOrThrowZodSchema = z.object({ select: AiSettingsFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => AiSettingsIncludeObjectSchema.optional()), orderBy: z.union([AiSettingsOrderByWithRelationInputObjectSchema, AiSettingsOrderByWithRelationInputObjectSchema.array()]).optional(), where: AiSettingsWhereInputObjectSchema.optional(), cursor: AiSettingsWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([AiSettingsScalarFieldEnumSchema, AiSettingsScalarFieldEnumSchema.array()]).optional() }).strict();